Subject: bug#32423: closed (Re: bug#32423: 27.0.50; Compilation fails when sh points to zsh)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Aug 2018 10:00:02 +0000

Your bug report

#32423: 27.0.50; Compilation fails when sh points to zsh

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32423: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32423
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32423: 27.0.50; Compilation fails when sh points to zsh
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Mon, 13 Aug 2018 18:58:52 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Tino Calancha <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> compile-clean:
>>         @cd $(lisp) && \
>>         elcs=`echo "${SUBDIRS_REL} " | sed -e 's|/\./|/|g' -e 's|/\. | |g' -e 's| |/*.elc |g'`; \
>>         for el in `echo $$elcs | sed -e 's/\.elc/\.el/g'`; do \
>>           if test -f "$$el" || test ! -f "$${el}c"; then :; else \
>>             echo rm "$${el}c"; \
>>             rm "$${el}c"; \
>>           fi \  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
>>         done
>>
>> there should be a semi-colon after "fi", I believe.  If you make that
>> change, does the problem go away for you?
> Excellent catch! It fixes the problem:
Fixed in master branch as commit 'Fix typo caught by zsh'
(21c2fd724dcae8a2342f256a0dd8c3c78fb5e931)

Subject: 27.0.50; Compilation fails when sh points to zsh
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Sun, 12 Aug 2018 02:28:23 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I started to suffer this recently (~ since this month).
When
bin/sh points to /bin/zsh

I get an zsh parse error as follows:

make[2]: Entering directory '/home/calancha/soft/emacs-master/admin/grammars'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/home/calancha/soft/emacs-master/admin/grammars'
zsh:8: parse error near `done'
make[2]: Entering directory '/home/calancha/soft/emacs-master/leim'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/home/calancha/soft/emacs-master/leim'
Makefile:338: recipe for target 'compile-clean' failed
make[1]: *** [compile-clean] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/home/calancha/soft/emacs-master/lisp'
Makefile:405: recipe for target 'lisp' failed
make: *** [lisp] Error 2